package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UserComment{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String userId;
    private String landmarkId;
    private String startPlace;
    private String endPlace;
    private String commentText;
    private String typeFlag;
    private String starLevel;
    private String remark;
    private String remark1;
    private String remark2;
    private String remark3;
    private String remark4;

private String idStr;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public String getUserId(){
        return this.userId;
    }

    public void setUserId(String userId){
        this.userId = userId;
    }
    public String getLandmarkId(){
        return this.landmarkId;
    }

    public void setLandmarkId(String landmarkId){
        this.landmarkId = landmarkId;
    }
    public String getStartPlace(){
        return this.startPlace;
    }

    public void setStartPlace(String startPlace){
        this.startPlace = startPlace;
    }
    public String getEndPlace(){
        return this.endPlace;
    }

    public void setEndPlace(String endPlace){
        this.endPlace = endPlace;
    }
    public String getCommentText(){
        return this.commentText;
    }

    public void setCommentText(String commentText){
        this.commentText = commentText;
    }
    public String getTypeFlag(){
        return this.typeFlag;
    }

    public void setTypeFlag(String typeFlag){
        this.typeFlag = typeFlag;
    }
    public String getStarLevel(){
        return this.starLevel;
    }

    public void setStarLevel(String starLevel){
        this.starLevel = starLevel;
    }
    public String getRemark(){
        return this.remark;
    }

    public void setRemark(String remark){
        this.remark = remark;
    }
    public String getRemark1(){
        return this.remark1;
    }

    public void setRemark1(String remark1){
        this.remark1 = remark1;
    }
    public String getRemark2(){
        return this.remark2;
    }

    public void setRemark2(String remark2){
        this.remark2 = remark2;
    }
    public String getRemark3(){
        return this.remark3;
    }

    public void setRemark3(String remark3){
        this.remark3 = remark3;
    }
    public String getRemark4(){
        return this.remark4;
    }

    public void setRemark4(String remark4){
        this.remark4 = remark4;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

public String getIdStr() {
    return idStr;
}

public void setIdStr(String idStr) {
    this.idStr = idStr;
}

}

